Name: ca_KENETCA-ICA-2015
Version: 1.88
Release: 1
Source: ca_KENETCA-ICA-2015-1.88.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_KENETCA-ICA-2015-1.88/KENETCA.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority KENETCA-ICA-2015

%if %([ -n "https://ca.kenet.or.ke/" ] && echo 1 || echo 0)
URL: https://ca.kenet.or.ke/
%endif

%if %([ -n "ca_KENETROOTCA = 1.88" ] && echo 1 || echo 0)
Requires: ca_KENETROOTCA = 1.88
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_KENETCA-ICA-2015-1.88

%description
This is the trust anchor for the classic accredited authority KENETCA-ICA-2015.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

